Name: libgnome
Version: 2.2.0.1
Release: alt1

Summary: GNOME base library
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version.tar.bz2

%define GConf_ver 2.2.0
%define ORBit_ver 2.6.0
%define glib_ver 2.2.0
%define gnome_vfs_ver 2.2.0
%define libxml2_ver 2.4.28
%define libxslt_ver 1.0.23
%define linc_ver 1.0.1
%define bonobo2_ver 2.0.1
%define bonobo_activation_ver 2.2.0
%define esound_ver 0.2.29
%define audiofile_ver 0.2.3
%define intltool_ver 0.25

PreReq: GConf2 >= %GConf_ver
Requires: glib2 >= %glib_ver
Requires: libORBit2 >= %ORBit_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libxml2 >= %libxml2_ver
Requires: libbonobo2 >= %bonobo2_ver
Requires: libbonobo-activation >= %bonobo_activation_ver
Requires: liblinc >= %linc_ver

#design here
Requires: gnome-settings >= 1.0-alt2

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: liblinc-devel >= %linc_ver
BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: bonobo-activation-devel >= %bonobo_activation_ver
BuildPreReq: libbonobo2-devel >= %bonobo2_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: libxslt-devel >= %libxslt_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: esound-devel >= %esound_ver
BuildPreReq: audiofile-devel >= %audiofile_ver
BuildPreReq: intltool >= %intltool_ver

# Automatically added by buildreq on Wed Jan 08 2003
BuildRequires: GConf2 ORBit2-devel XFree86-utils bonobo-activation-devel bzlib-devel docbook-dtds docbook-style-dsssl esound-devel glib2-devel glibc-devel-static gnome-vfs2-devel gtk-doc libGConf2-devel libORBit2 libaudiofile-devel libbonobo2-devel liblinc-devel libpopt-devel libssl-devel libxml2-devel libxslt-devel openjade pkgconfig sgml-common zlib-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome package includes
non-GUI-related libraries that are needed to run GNOME. The libgnomeui
package contains X11-dependent GNOME library features.

%package utils
Summary: Help convertors for Gnome2
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description utils
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-utils package
includes the utilites whan convert "man" "info" "DocBook" documents to html.

%package devel
Summary: Libraries and headers for libgnome
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: glib2-devel >= %glib_ver
Requires: gnome-vfs2-devel >= %gnome_vfs_ver
Requires: ORBit2-devel >= %ORBit_ver
Requires: libxml2-devel >= %libxml2_ver
Requires: bonobo-activation-devel >= %bonobo_activation_ver
Requires: liblinc-devel >= %linc_ver
Requires: libbonobo2-devel >= %bonobo2_ver
Requires: libGConf2-devel >= %GConf_ver
Requires: esound-devel >= %esound_ver
Requires: audiofile-devel >= %audiofile_ver
Requires: intltool >= %intltool_ver

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-devel package
includes the libraries and include files that you will need to
use libgnome.

You should install the libgnome-devel package if you would like to
compile GNOME applications. You do not need to install libgnome-devel
if you just want to use the GNOME desktop environment.

%package devel-static
Summary: Static libraries and objects for gnome libs
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
Static libraries and objects for gnome library infrastructure

%define _gtk_docdir %_datadir/gtk-doc/html
%define _libexecdir %_bindir

%prep
%setup -q

%build
export DATADIRNAME=share
%configure
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name-2.0

%define schemas desktop_gnome_accessibility_keyboard desktop_gnome_applications_browser desktop_gnome_applications_help_viewer desktop_gnome_applications_terminal desktop_gnome_applications_window_manager desktop_gnome_background desktop_gnome_file_views desktop_gnome_interface desktop_gnome_peripherals_keyboard desktop_gnome_peripherals_mouse desktop_gnome_sound desktop_gnome_url_handlers

%post
%gconf2_install %schemas
%post_ldconfig

%postun -p %postun_ldconfig

%files -f %name-2.0.lang
%_libdir/*.so.*
%_libdir/bonobo/*/*.so
%_libdir/bonobo/servers/*
%_libdir/gnome-vfs-2.0/*/*.so
# while gnome-libs is a owner
#%dir %_sysconfdir/sound
#%dir %_sysconfdir/sound/events
%config %_sysconfdir/sound/*/*
%config %_sysconfdir/gnome-vfs-2.0/*/*
%config %_sysconfdir/gconf/*/*

%files utils
%_bindir/*
%_datadir/sgml/*/*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/bonobo/*/*.la
%_libdir/gnome-vfs-2.0/*/*.la
%_libdir/pkgconfig/*
%doc NEWS ChangeLog
%doc %_gtk_docdir/*

%files devel-static
%_libdir/*.a
%_libdir/bonobo/*/*.a
%_libdir/gnome-vfs-2.0/*/*.a

%changelog
* Thu Jan 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Wed Jan 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Fri Oct 11 2002 Stanislav Ievlev <inger@altlinux.ru> 2.1.0-alt3
- ressurected desktop_gnome_background.schemas. now we are using gconf2_set

* Tue Oct 08 2002 Stanislav Ievlev <inger@altlinux.ru> 2.1.0-alt2
- /etc/gconf/schemas/desktop_gnome_background.schema
  moved to gnome-settings package
  now we have all design in the separate package.

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Mon Jun 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1.
- build process fixed (SMP compatible build)
- ldconfig run in post{,un}.
- Buildprereq list fixed.
- updated buildrequires.
- other small fixes and cleanups.
- (inger)fixed wrong requires

* Wed Jun 05 2002 Igor Androsov <blake@altlinux.ru> 1.117.2-alt1
- New version
- Initial build for AltLinux

* Fri May 24 2002 Igor Androsov <blace@mail.ru> 1.117.1-blk1
- New version

* Wed May 15 2002 Igor Androsov <blace@mail.ru> 1.117.0-blk0.1
- New version from CVS

* Sat May 11 2002 Igor Androsov <blace@mail.ru> 1.116.0-blk0.1
- New version from CVS

* Mon Feb 25 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 1.112.0-1
- new version
